<?php

/*

'**************************************************************************************************

' 软件名称: 黑色幻想舞曲管理系统CMS2.0

' 版本编号: hshxsdj 2.0

' 官方网站: http://www.hshxs.com

' 官方论坛：http://bbs.hshxs.com

' 版权所有: 黑色幻想开发团队    噬己翼(QQ:532917920)

' 郑重声明:

'    1、任何个人或组织不得在未经授权的情况下删除、修改、拷贝本软件及其他副本上一切关于版权的信息；

'    2、黑色幻想网络事业部保留此软件的法律追究权利

'**************************************************************************************************

*/


require_once("../../include/config.inc.php");

include "../../include/label.php";

include "../admin_loginstate.php";

set_time_limit(0);

?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">

<head>

<meta http-equiv="Content-Type" content="text/html; charset=gb2312" />

<link type="text/css" href="../images/style.css" rel="stylesheet" />

<link type="text/css" href="../images/alerts.css" rel="stylesheet" media="screen">

<script type="text/javascript" language="javascript">var tentpath='<?php echo S_SitePath?>';</script>

<script language="javascript" src="../js/jquery.js"></script>

<script language="javascript" src="../js/alerts.js"></script>

</head>

<body>

<?php

SystemPer(11);

$type=SafeRequest("type","get");

if($type=="all"){

	if(file_exists(_CHSHDJ_ROOT_.S_Templateurl."/dj_hits.html")){

		  $Mark_Text=@file_get_contents(_CHSHDJ_ROOT_.S_Templateurl."/dj_hits.html");

		  $Mark_Text=topandbottom($Mark_Text);

		  $Mark_Text=Common_Mark($Mark_Text,0);

		  fwrite(fopen("../../toplist/dj_hits.html","wb"),$Mark_Text);#$filename是静态页面的文件名

		  echo "<font style=font-size:12pt;><a href=../../toplist/dj_hits.html target=_blank>".S_SiteDomain.S_SitePath."toplist/dj_hits.html</a><br/>舞曲年度排行已成功生成．．．</font>";

		}

	else{

		echo "<font style=font-size:12pt;color=#ff0000;>出错了，舞曲年度排行模板文件不存在！</font>";

		}	

	



	if(file_exists(_CHSHDJ_ROOT_.S_Templateurl."/dj_rhits.html")){

		  $Mark_Text=@file_get_contents(_CHSHDJ_ROOT_.S_Templateurl."/dj_rhits.html");

		  $Mark_Text=topandbottom($Mark_Text);

		  $Mark_Text=Common_Mark($Mark_Text,0);

		  fwrite(fopen("../../toplist/dj_rhits.html","wb"),$Mark_Text);#$filename是静态页面的文件名

		  echo "<br/><br/><font style=font-size:12pt;><a href=../../toplist/dj_rhits.html target=_blank>".S_SiteDomain.S_SitePath."toplist/dj_rhits.html</a><br/>舞曲每日排行已成功生成．．．</font>";

		}

	else{

		echo "<br/><br/><font style=font-size:12pt;color=#ff0000;>出错了，舞曲每日排行模板文件不存在！</font>";

		}	

	



	if(file_exists(_CHSHDJ_ROOT_.S_Templateurl."/dj_zhits.html")){

		  $Mark_Text=@file_get_contents(_CHSHDJ_ROOT_.S_Templateurl."/dj_zhits.html");

		  $Mark_Text=topandbottom($Mark_Text);

		  $Mark_Text=Common_Mark($Mark_Text,0);

		  fwrite(fopen("../../toplist/dj_zhits.html","wb"),$Mark_Text);#$filename是静态页面的文件名

		  echo "<br/><br/><font style=font-size:12pt;><a href=../../toplist/dj_zhits.html target=_blank>".S_SiteDomain.S_SitePath."toplist/dj_zhits.html</a><br/>舞曲每周排行已成功生成．．．</font>";

		}

	else{

		echo "<br/><br/><font style=font-size:12pt;color=#ff0000;>出错了，舞曲每周排行模板文件不存在！</font>";

		}	

	



	if(file_exists(_CHSHDJ_ROOT_.S_Templateurl."/dj_yhits.html")){

		  $Mark_Text=@file_get_contents(_CHSHDJ_ROOT_.S_Templateurl."/dj_yhits.html");

		  $Mark_Text=topandbottom($Mark_Text);

		  $Mark_Text=Common_Mark($Mark_Text,0);

		  fwrite(fopen("../../toplist/dj_yhits.html","wb"),$Mark_Text);#$filename是静态页面的文件名

		  echo "<br/><br/><font style=font-size:12pt;><a href=../../toplist/dj_yhits.html target=_blank>".S_SiteDomain.S_SitePath."toplist/dj_yhits.html</a><br/>舞曲月份排行已成功生成．．．</font>";

		}

	else{

		echo "<br/><br/><font style=font-size:12pt;color=#ff0000;>出错了，舞曲月份排行模板文件不存在！</font>";

		}	

	



	if(file_exists(_CHSHDJ_ROOT_.S_Templateurl."/dj_dhits.html")){

		  $Mark_Text=@file_get_contents(_CHSHDJ_ROOT_.S_Templateurl."/dj_dhits.html");

		  $Mark_Text=topandbottom($Mark_Text);

		  $Mark_Text=Common_Mark($Mark_Text,0);

		  fwrite(fopen("../../toplist/dj_dhits.html","wb"),$Mark_Text);#$filename是静态页面的文件名

		  echo "<br/><br/><font style=font-size:12pt;><a href=../../toplist/dj_dhits.html target=_blank>".S_SiteDomain.S_SitePath."toplist/dj_dhits.html</a><br/>舞曲被顶排行已成功生成．．．</font>";

		}

	else{

		echo "<br/><br/><font style=font-size:12pt;color=#ff0000;>出错了，舞曲被顶排行模板文件不存在！</font>";

		}	

	



	if(file_exists(_CHSHDJ_ROOT_.S_Templateurl."/dj_chits.html")){

		  $Mark_Text=@file_get_contents(_CHSHDJ_ROOT_.S_Templateurl."/dj_chits.html");

		  $Mark_Text=topandbottom($Mark_Text);

		  $Mark_Text=Common_Mark($Mark_Text,0);

		  fwrite(fopen("../../toplist/dj_chits.html","wb"),$Mark_Text);#$filename是静态页面的文件名

		  echo "<br/><br/><font style=font-size:12pt;><a href=../../toplist/dj_chits.html target=_blank>".S_SiteDomain.S_SitePath."toplist/dj_chits.html</a><br/>舞曲被踩排行已成功生成．．．</font>";

		}

	else{

		echo "<br/><br/><font style=font-size:12pt;color=#ff0000;>出错了，舞曲被踩排行模板文件不存在！</font>";

		}	

	



	if(file_exists(_CHSHDJ_ROOT_.S_Templateurl."/dj_5x.html")){

		  $Mark_Text=@file_get_contents(_CHSHDJ_ROOT_.S_Templateurl."/dj_5x.html");

		  $Mark_Text=topandbottom($Mark_Text);

		  $Mark_Text=Common_Mark($Mark_Text,0);

		  fwrite(fopen("../../toplist/dj_5x.html","wb"),$Mark_Text);#$filename是静态页面的文件名

		  echo "<br/><br/><font style=font-size:12pt;><a href=../../toplist/dj_5x.html target=_blank>".S_SiteDomain.S_SitePath."toplist/dj_5x.html</a><br/>舞曲星际排行已成功生成．．．</font>";

		}

	else{

		echo "<br/><br/><font style=font-size:12pt;color=#ff0000;>出错了，舞曲星际排行模板文件不存在！</font>";

		}	

	

	if(file_exists(_CHSHDJ_ROOT_.S_Templateurl."/dj_shits.html")){

		  $Mark_Text=@file_get_contents(_CHSHDJ_ROOT_.S_Templateurl."/dj_shits.html");

		  $Mark_Text=topandbottom($Mark_Text);

		  $Mark_Text=Common_Mark($Mark_Text,0);

		  fwrite(fopen("../../toplist/dj_shits.html","wb"),$Mark_Text);#$filename是静态页面的文件名

		  echo "<br/><br/><font style=font-size:12pt;><a href=../../toplist/dj_shits.html target=_blank>".S_SiteDomain.S_SitePath."toplist/dj_shits.html</a><br/>舞曲收藏排行已成功生成．．．</font>";

		}

	else{

		echo "<br/><br/><font style=font-size:12pt;color=#ff0000;>出错了，舞曲收藏排行模板文件不存在！</font>";

		}	

	if(file_exists(_CHSHDJ_ROOT_.S_Templateurl."/dj_xhits.html")){

		  $Mark_Text=@file_get_contents(_CHSHDJ_ROOT_.S_Templateurl."/dj_xhits.html");

		  $Mark_Text=topandbottom($Mark_Text);

		  $Mark_Text=Common_Mark($Mark_Text,0);

		  fwrite(fopen("../../toplist/dj_xhits.html","wb"),$Mark_Text);#$filename是静态页面的文件名

		  echo "<br/><br/><font style=font-size:12pt;><a href=../../toplist/dj_xhits.html target=_blank>".S_SiteDomain.S_SitePath."toplist/dj_xhits.html</a><br/>舞曲下载排行已成功生成．．．</font>";

		}

	else{

		echo "<br/><br/><font style=font-size:12pt;color=#ff0000;>出错了，舞曲下载排行模板文件不存在！</font>";

		}

	if(file_exists(_CHSHDJ_ROOT_.S_Templateurl."/dj_news.html")){

		  $Mark_Text=@file_get_contents(_CHSHDJ_ROOT_.S_Templateurl."/dj_news.html");

		  $Mark_Text=topandbottom($Mark_Text);

		  $Mark_Text=Common_Mark($Mark_Text,0);

		  fwrite(fopen("../../toplist/dj_news.html","wb"),$Mark_Text);#$filename是静态页面的文件名

		  echo "<br/><br/><font style=font-size:12pt;><a href=../../toplist/dj_news.html target=_blank>".S_SiteDomain.S_SitePath."toplist/dj_news.html</a><br/>最新舞曲排行已成功生成．．．</font>";

		}

	else{

		echo "<br/><br/><font style=font-size:12pt;color=#ff0000;>出错了，最新舞曲排行模板文件不存在！</font>";

		}



	if(file_exists(_CHSHDJ_ROOT_.S_Templateurl."/dj_play.html")){

		  $Mark_Text=@file_get_contents(_CHSHDJ_ROOT_.S_Templateurl."/dj_play.html");

		  $Mark_Text=topandbottom($Mark_Text);

		  $Mark_Text=Common_Mark($Mark_Text,0);

		  fwrite(fopen("../../toplist/dj_play.html","wb"),$Mark_Text);#$filename是静态页面的文件名

		  echo "<br/><br/><font style=font-size:12pt;><a href=../../toplist/dj_play.html target=_blank>".S_SiteDomain.S_SitePath."toplist/dj_play.html</a><br/>大家正在听已成功生成．．．</font>";

		}

	else{

		echo "<br/><br/><font style=font-size:12pt;color=#ff0000;>出错了，大家正在听模板文件不存在！</font>";

		}

echo "<br/><br/>&nbsp;<font style=font-size:10pt;><b>恭喜你!所有舞曲排行已全部生成完毕．．．</b></font>";	

	

	}

elseif($type=="ri"){

	if(file_exists(_CHSHDJ_ROOT_.S_Templateurl."/dj_rhits.html")){

		  $Mark_Text=@file_get_contents(_CHSHDJ_ROOT_.S_Templateurl."/dj_rhits.html");

		  $Mark_Text=topandbottom($Mark_Text);

		  $Mark_Text=Common_Mark($Mark_Text,0);

		  fwrite(fopen("../../toplist/dj_rhits.html","wb"),$Mark_Text);#$filename是静态页面的文件名

		  echo "<br/><br/><font style=font-size:12pt;><a href=../../toplist/dj_rhits.html target=_blank>".S_SiteDomain.S_SitePath."toplist/dj_rhits.html</a><br/>舞曲每日排行已成功生成．．．</font>";

		}

	else{

		echo "<br/><br/><font style=font-size:12pt;color=#ff0000;>出错了，舞曲每日排行模板文件不存在！</font>";

		}	

	

	}	

elseif($type=="zhou"){

	if(file_exists(_CHSHDJ_ROOT_.S_Templateurl."/dj_zhits.html")){

		  $Mark_Text=@file_get_contents(_CHSHDJ_ROOT_.S_Templateurl."/dj_zhits.html");

		  $Mark_Text=topandbottom($Mark_Text);

		  $Mark_Text=Common_Mark($Mark_Text,0);

		  fwrite(fopen("../../toplist/dj_zhits.html","wb"),$Mark_Text);#$filename是静态页面的文件名

		  echo "<br/><br/><font style=font-size:12pt;><a href=../../toplist/dj_zhits.html target=_blank>".S_SiteDomain.S_SitePath."toplist/dj_zhits.html</a><br/>舞曲每周排行已成功生成．．．</font>";

		}

	else{

		echo "<br/><br/><font style=font-size:12pt;color=#ff0000;>出错了，舞曲每周排行模板文件不存在！</font>";

		}		

	

	}

elseif($type=="yue"){

	if(file_exists(_CHSHDJ_ROOT_.S_Templateurl."/dj_yhits.html")){

		  $Mark_Text=@file_get_contents(_CHSHDJ_ROOT_.S_Templateurl."/dj_yhits.html");

		  $Mark_Text=topandbottom($Mark_Text);

		  $Mark_Text=Common_Mark($Mark_Text,0);

		  fwrite(fopen("../../toplist/dj_yhits.html","wb"),$Mark_Text);#$filename是静态页面的文件名

		  echo "<br/><br/><font style=font-size:12pt;><a href=../../toplist/dj_yhits.html target=_blank>".S_SiteDomain.S_SitePath."toplist/dj_yhits.html</a><br/>舞曲月份排行已成功生成．．．</font>";

		}

	else{

		echo "<br/><br/><font style=font-size:12pt;color=#ff0000;>出错了，舞曲月份排行模板文件不存在！</font>";

		}		

	}

elseif($type=="hits"){

	if(file_exists(_CHSHDJ_ROOT_.S_Templateurl."/dj_hits.html")){

		  $Mark_Text=@file_get_contents(_CHSHDJ_ROOT_.S_Templateurl."/dj_hits.html");

		  $Mark_Text=topandbottom($Mark_Text);

		  $Mark_Text=Common_Mark($Mark_Text,0);

		  fwrite(fopen("../../toplist/dj_hits.html","wb"),$Mark_Text);#$filename是静态页面的文件名

		  echo "<font style=font-size:12pt;><a href=../../toplist/dj_hits.html target=_blank>".S_SiteDomain.S_SitePath."toplist/dj_hits.html</a><br/>舞曲年度排行已成功生成．．．</font>";

		}

	else{

		echo "<font style=font-size:12pt;>出错了，舞曲年度排行模板文件不存在！</font>";

		}	

	}

elseif($type=="ding"){

	if(file_exists(_CHSHDJ_ROOT_.S_Templateurl."/dj_dhits.html")){

		  $Mark_Text=@file_get_contents(_CHSHDJ_ROOT_.S_Templateurl."/dj_dhits.html");

		  $Mark_Text=topandbottom($Mark_Text);

		  $Mark_Text=Common_Mark($Mark_Text,0);

		  fwrite(fopen("../../toplist/dj_dhits.html","wb"),$Mark_Text);#$filename是静态页面的文件名

		  echo "<br/><br/><font style=font-size:12pt;><a href=../../toplist/dj_dhits.html target=_blank>".S_SiteDomain.S_SitePath."toplist/dj_dhits.html</a><br/>舞曲被顶排行已成功生成．．．</font>";

		}

	else{

		echo "<br/><br/><font style=font-size:12pt;color=#ff0000;>出错了，舞曲被顶排行模板文件不存在！</font>";

		}		

	}

elseif($type=="cai"){

	if(file_exists(_CHSHDJ_ROOT_.S_Templateurl."/dj_chits.html")){

		  $Mark_Text=@file_get_contents(_CHSHDJ_ROOT_.S_Templateurl."/dj_chits.html");

		  $Mark_Text=topandbottom($Mark_Text);

		  $Mark_Text=Common_Mark($Mark_Text,0);

		  fwrite(fopen("../../toplist/dj_chits.html","wb"),$Mark_Text);#$filename是静态页面的文件名

		  echo "<br/><br/><font style=font-size:12pt;><a href=../../toplist/dj_chits.html target=_blank>".S_SiteDomain.S_SitePath."toplist/dj_chits.html</a><br/>舞曲被踩排行已成功生成．．．</font>";

		}

	else{

		echo "<br/><br/><font style=font-size:12pt;color=#ff0000;>出错了，舞曲被踩排行模板文件不存在！</font>";

		}		

	}

elseif($type=="5x"){

	if(file_exists(_CHSHDJ_ROOT_.S_Templateurl."/dj_5x.html")){

		  $Mark_Text=@file_get_contents(_CHSHDJ_ROOT_.S_Templateurl."/dj_5x.html");

		  $Mark_Text=topandbottom($Mark_Text);

		  $Mark_Text=Common_Mark($Mark_Text,0);

		  fwrite(fopen("../../toplist/dj_5x.html","wb"),$Mark_Text);#$filename是静态页面的文件名

		  echo "<br/><br/><font style=font-size:12pt;><a href=../../toplist/dj_5x.html target=_blank>".S_SiteDomain.S_SitePath."toplist/dj_5x.html</a><br/>舞曲星际排行已成功生成．．．</font>";

		}

	else{

		echo "<br/><br/><font style=font-size:12pt;color=#ff0000;>出错了，舞曲星际排行模板文件不存在！</font>";

		}		

	}

elseif($type=="fav"){

	if(file_exists(_CHSHDJ_ROOT_.S_Templateurl."/dj_shits.html")){

		  $Mark_Text=@file_get_contents(_CHSHDJ_ROOT_.S_Templateurl."/dj_shits.html");

		  $Mark_Text=topandbottom($Mark_Text);

		  $Mark_Text=Common_Mark($Mark_Text,0);

		  fwrite(fopen("../../toplist/dj_shits.html","wb"),$Mark_Text);#$filename是静态页面的文件名

		  echo "<br/><br/><font style=font-size:12pt;><a href=../../toplist/dj_shits.html target=_blank>".S_SiteDomain.S_SitePath."toplist/dj_shits.html</a><br/>舞曲收藏排行已成功生成．．．</font>";

		}

	else{

		echo "<br/><br/><font style=font-size:12pt;color=#ff0000;>出错了，舞曲收藏排行模板文件不存在！</font>";

		}			

	}

elseif($type=="down"){

	if(file_exists(_CHSHDJ_ROOT_.S_Templateurl."/dj_xhits.html")){

		  $Mark_Text=@file_get_contents(_CHSHDJ_ROOT_.S_Templateurl."/dj_xhits.html");

		  $Mark_Text=topandbottom($Mark_Text);

		  $Mark_Text=Common_Mark($Mark_Text,0);

		  fwrite(fopen("../../toplist/dj_xhits.html","wb"),$Mark_Text);#$filename是静态页面的文件名

		  echo "<br/><br/><font style=font-size:12pt;><a href=../../toplist/dj_xhits.html target=_blank>".S_SiteDomain.S_SitePath."toplist/dj_xhits.html</a><br/>舞曲下载排行已成功生成．．．</font>";

		}

	else{

		echo "<br/><br/><font style=font-size:12pt;color=#ff0000;>出错了，舞曲下载排行模板文件不存在！</font>";

		}		

	}

elseif($type=="news"){

	if(file_exists(_CHSHDJ_ROOT_.S_Templateurl."/dj_news.html")){

		  $Mark_Text=@file_get_contents(_CHSHDJ_ROOT_.S_Templateurl."/dj_news.html");

		  $Mark_Text=topandbottom($Mark_Text);

		  $Mark_Text=Common_Mark($Mark_Text,0);

		  fwrite(fopen("../../toplist/dj_news.html","wb"),$Mark_Text);#$filename是静态页面的文件名

		  echo "<br/><br/><font style=font-size:12pt;><a href=../../toplist/dj_news.html target=_blank>".S_SiteDomain.S_SitePath."toplist/dj_news.html</a><br/>最新舞曲排行已成功生成．．．</font>";

		}

	else{

		echo "<br/><br/><font style=font-size:12pt;color=#ff0000;>出错了，最新舞曲排行模板文件不存在！</font>";

		}		

	}	

elseif($type=="play"){

	if(file_exists(_CHSHDJ_ROOT_.S_Templateurl."/dj_play.html")){

		  $Mark_Text=@file_get_contents(_CHSHDJ_ROOT_.S_Templateurl."/dj_play.html");

		  $Mark_Text=topandbottom($Mark_Text);

		  $Mark_Text=Common_Mark($Mark_Text,0);

		  fwrite(fopen("../../toplist/dj_play.html","wb"),$Mark_Text);#$filename是静态页面的文件名

		  echo "<br/><br/><font style=font-size:12pt;><a href=../../toplist/dj_play.html target=_blank>".S_SiteDomain.S_SitePath."toplist/dj_play.html</a><br/>大家正在听已成功生成．．．</font>";

		}

	else{

		echo "<br/><br/><font style=font-size:12pt;color=#ff0000;>出错了，大家正在听模板文件不存在！</font>";

		}		

	}

?>